Jump to content

[Free Module] Froggy Toolbar - Compliant with PrestaShop 1.4 / 1.5 / 1.6


Recommended Posts

Hi everyone,
 
Here a free module that will allow you to save time in the administration of your PrestaShop: Froggy Toolbar
 
Once you will be connected to your back office, a toolbar (such as the one in wordpress) will appear on your front office.
post-153511-0-86226200-1423835813_thumb.png
 
Thanks to this toolbar, you will be able to access at a glance to the main functions of your back office, such as the form edit of the current page, the creation of new products, categories, CMS page, ...)

You will also have the main shortcuts of your backoffice and the orders notifications as well (even on PrestaShop 1.4)

 

This module is compliant with the versions 1.4, 1.5 et 1.6 of PrestaShop.
 
You will be able to configure the module about the target of the links and the refresh time for notifications (see the documentation).

If you have any questions or if you encounter any issues with this module, do not hesitate to ask me :)
 
Fabien,
Froggy Commerce
  • Like 4

Share this post


Link to post
Share on other sites
  • 1 month later...
  • 5 months later...

Hi Fabien,

 

Is there any chance this module can develop for front end. I meant store users (not for admins). 

 

Hope you got clear what I meant. 

 

I tried few tweaks to show this on front end for general users. But didn't success. Can you give me any clue how I can do this or is there any chance you have same module for general users on front end. 

 

Thank you so much.

 

Lanka

www.jnlstores.com

Share this post


Link to post
Share on other sites

Hi,

 

I'm not sure of what you meant.
The Froggy Toolbar only display admin features (add product, category or CMS page, edit product, new orders, ...).
Why do you want to display them to your customers ?

I mean, I don't think you want your customers to be able to edit a product. What I am missing ?

 

Best regards,
Fabien

Share this post


Link to post
Share on other sites
  • 2 weeks later...

Hi,

 

Sorry, If I confused you. 

 

I've done that myself. www.jnlstores.com  - This was what I wanted. (Nav bar stay top while scroll.)

 

Thank you for your reply. :)

 

 

Hi,

 

I'm not sure of what you meant.
The Froggy Toolbar only display admin features (add product, category or CMS page, edit product, new orders, ...).
Why do you want to display them to your customers ?

I mean, I don't think you want your customers to be able to edit a product. What I am missing ?

 

Best regards,
Fabien

Share this post


Link to post
Share on other sites
  • 1 year later...
  • 2 weeks later...

Tanks it works great you should create a check to verify if store is SSL, and depending on that {$base_dir} or {$base_dir_ssl}.

I have a suggestion, on FO if the page is Category link to edit a Category like the Product Page, the same for CMS pages.

Anyway great job.

Share this post


Link to post
Share on other sites

Yes, we planned to update the module about the SSL compatibility.

About the edit link, you should already have the possibility to edit a category and a CMS page directly from the front office.

 

I invite you to check our online documentation.
We also have an advanced toolbar with more features if you are interested.

Fabien

Share this post


Link to post
Share on other sites

Hi,

 

Here are the advanced functionalities :

- Module configuration direct access links

- Debug mode (to see which module are hooked on the page)

- Translation links

- Personalized shortcuts

 

Best regards,

Fabien

Share this post


Link to post
Share on other sites
  • 2 weeks later...

Thanks for your module.

I tried to install this module on PrestaShop 1.6.1.11. Installation was OK but in frontoffice I've got an error (see screenshot). What is it and what should I do to fix it? How could be ps version not defined?  :blink:

 

Thank you.

post-836203-0-47453200-1486457125_thumb.png

Share this post


Link to post
Share on other sites

Hi,

 

It might be an error with your hooks.

If froggytoolbar_ps_version is not defined, it might be because your theme does not contain the hook used by the module.

Is your theme a custom theme ?

 

Best regards,

Fabien

Share this post


Link to post
Share on other sites

Hi,

 

It might be an error with your hooks.

If froggytoolbar_ps_version is not defined, it might be because your theme does not contain the hook used by the module.

Is your theme a custom theme ?

 

Best regards,

Fabien

 

Thank for your reply.

 

Now this module is installed on clean PrestaShop 1.6.1.11 with default theme on localhost. I've checked hooks. Froggy Toolbar now is hooked in 3 hooks: displayBackOfficeHeader, displayFooter, Header.

As you can see on screenshot place for this module exists at the top of the page.

 

I will try to install on older version of Presta.

post-836203-0-48329300-1486463912_thumb.png

Share this post


Link to post
Share on other sites

Yes.
Very strange indeed, I had not the time to test the module on the latest version of PS.

 

The module use JS to display the toolbar.
However, it needs some infos, such as froggytoolbar_ps_version that are generated by the module on differents hooks.
So if it does not find these variables, it means that it is not hooked properly.

 

Keep me inform of your test, I'll try to test on the latest PS version as soon as I can

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More